before_script:
  - export PATH="$PATH:$FLUTTER_PATH"
  - echo "CI_PIPELINE_SOURCE = $CI_PIPELINE_SOURCE"
  - echo "CI_MERGE_REQUEST_SOURCE_BRANCH_NAME = $CI_MERGE_REQUEST_SOURCE_BRANCH_NAME"
  - echo "CI_DEFAULT_BRANCH = $CI_DEFAULT_BRANCH"

stages:
  - lint
  - test
  - build
  - deploy
  - notify

include:
  - '.before-merge-request.yml'
  - '.after-merge-request.yml'
  - '.triggered.yml'
